Search found 14 matches

by polera
Fri Nov 18, 2022 4:45 pm
Forum: MAMP - General Discussion & Troubleshooting
Topic: Changing PHP timezone not working
Replies: 3
Views: 291

Re: Changing PHP timezone not working

I got it to work by modifying `/Applications/MAMP/bin/php/php[version]/conf/php.ini` directly... which I thought we weren't supposed to do.

So, I don't see a better solution.

Surprising nobody answered.
by polera
Tue Nov 15, 2022 5:41 pm
Forum: MAMP - General Discussion & Troubleshooting
Topic: Changing PHP timezone not working
Replies: 3
Views: 291

Re: Changing PHP timezone not working

I'm trying to fix by just editing the file directly, but I've read that we shouldn't be doing that... but I'm not seeing what I should be doing. So far it's working, though I don't know yet if it'll work between restarts or cause an issue anywhere. I think if MAMP's going to have a shortcut like `MA...
by polera
Tue Nov 15, 2022 12:40 am
Forum: MAMP - General Discussion & Troubleshooting
Topic: Changing PHP timezone not working
Replies: 3
Views: 291

Changing PHP timezone not working

I just discovered that my PHP CLI timezone on my localhost MAMP is set to Europe/Berlin... When I run `die(phpinfo());` in my .php script through CLI, it shows this in the output: date Default timezone => Europe/Berlin date.timezone => Europe/Berlin => Europe/Berlin When I run `phpinfo()` through th...
by polera
Tue Sep 27, 2022 6:28 pm
Forum: MAMP - General Discussion & Troubleshooting
Topic: Confused on MAMP mod_php and CGI
Replies: 1
Views: 638

Re: Confused on MAMP mod_php and CGI

Nobody has any idea what I'm talking about?
by polera
Tue Sep 27, 2022 6:28 pm
Forum: MAMP - General Discussion & Troubleshooting
Topic: composer version not switching with PHP version
Replies: 1
Views: 351

Re: composer version not switching with PHP version

Nobody has any idea what I'm talking about?
by polera
Wed Aug 31, 2022 12:11 am
Forum: MAMP - General Discussion & Troubleshooting
Topic: composer version not switching with PHP version
Replies: 1
Views: 351

composer version not switching with PHP version

I'm working on a PHP 5 app trying to upgrade it to PHP 8; this means I have to support both versions, the deprecated one for the existing live website, and the new one I'm converting. However, when I switch PHP versions in MAMP Pro to PHP 5, it now seems to keep composer 2.4 (which I use for PHP 8, ...
by polera
Wed Aug 17, 2022 3:28 pm
Forum: MAMP - General Discussion & Troubleshooting
Topic: Confused on MAMP mod_php and CGI
Replies: 1
Views: 638

Confused on MAMP mod_php and CGI

In MAMP Pro (currently 6.6.2 for macOS Monterey), in the PHP section, to get multiple PHP sites to run properly with composer CLI commands, I've been using 'Mode: Module (all hosts use the same PHP version)' then changing the "Default version" and restarting the server. This may not be the...
by polera
Tue May 24, 2022 6:14 pm
Forum: MAMP - General Discussion & Troubleshooting
Topic: How to uninstall old PHP versions?
Replies: 2
Views: 869

Re: How to uninstall old PHP versions?

Aha! Thank you. I missed that that's what those are for. I'm not good at barely-noticeable cryptic icons that require assumptions I guess, I figured the option would be in the same menu as the list showing uninstalled PHP versions in Check for Updates
by polera
Mon May 02, 2022 2:43 pm
Forum: MAMP - General Discussion & Troubleshooting
Topic: How to uninstall old PHP versions?
Replies: 2
Views: 869

How to uninstall old PHP versions?

I've seen how to install any PHP version, but not how to uninstall one. I had PHP 7.4.21, I then discovered how to install 7.4.27, but I'm not seeing how to uninstall 7.4.21. Also, I'm hoping uninstalling that won't dereference anything I need, but considering I'd rather use the newer version anyway...
by polera
Mon Jan 17, 2022 9:14 pm
Forum: MAMP - General Discussion & Troubleshooting
Topic: Unable to update MAMP
Replies: 4
Views: 1026

Re: Unable to update MAMP

Let them know where? You left a generic link basically advertising the app I already use.